Subject: Re: git-p4.skipSubmitEdit

From: Luke Diamand <[email-masked]>
Date: Sat, 10 Sep 2011 07:10:39 +0100

On 09/09/11 18:52, L. A. Linden Levy wrote:
> I noticed that it only skipped the edit check. That is why I added the
> skipSubmitEdit option. If they are both true then it never opens the
> editor and never checks for an edit. Probably they should just be one
> option. I think it should probably also be a command line option to skip
> the editor.

Sounds plausible. If the skipSubmitEdit is true then the edit check 
should always be skipped.

>
> - Alex
>
> On Fri, 2011-09-09 at 13:47 -0400, Luke Diamand wrote:
>> On 09/09/11 11:05, Vitor Antunes wrote:
>>> L. A. Linden Levy<alevy<at>   mobitv.com>   writes:
>>>
>>>>
>>>> Hi All,
>>>>
>>>> I have been using git-p4 for a while and it has allowed me to completely
>>>> change the way I develop and still be able to use perforce which my
>>>> company has for its main VCS. One thing that was driving me nuts was
>>>> that "git p4 submit" cycles through all of my individual commits and
>>>> asks me if I want to change them. The way I develop I often am checking
>>>> in 20 to 50 different small commits each with a descriptive git comment.
>>>> I felt like I was doing double duty by having emacs open on every commit
>>>> into perforce. So I modified git-p4 to have an option to skip the
>>>> editor. This option coupled with git-p4.skipSubmitEditCheck will make
>>>> the submission non-interactive for "git p4 submit".
>>>
>>> Hi Loren,
>>>
>>> This option was already included in a recent commit. The name that was
>>> used is "skipSubmitEditCheck". Please make sure you are using the most
>>> recent version of the script.
>>
>> I put that option in - glad it's of use!
>>
>> That option actually just skips the check of 'did the user edit the
>> file'. git-p4 will still go ahead and bring up the file in the editor first.
>>
>> I get around this myself by setting EDITOR=/bin/true. That works for me
>> because I'm only using it in a script.
>>
>> But it's possible that an additional option would actually be useful.
>>
>>
>>
>>>
>>> But don't let this discourage you from submitting patches. Just makesure
>>> you clone git's repository and apply your patch over "maint" or "master"
>>> branches. For more details on how to submit patches you can read
>>> Documentation/SubmittingPatches.
>>>
>>> Vitor
>>>
>>> --
>>> To unsubscribe from this list: send the line "unsubscribe git" in
>>> the body of a message to [email-masked]
>>> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>>
>